#!/bin/bash
#
# generate a complete inventory for _every_single_storage_location_ !
# stored in ./docs/locs/<location>.pdf, with <location> being slightly
# cleaned up...
#
# usage: gen-all-inventories.sh

INVENTORY_DB='./current/inventory.db'
DOC_DIR='./docs/locs' # no trailing slash!

mkdir -p "$DOC_DIR"

while read LOCATION; do
    echo "Processing '$LOCATION'"
    OUTPUT_PDF_PATH=$(./bin/chem_db.py -f "$INVENTORY_DB" --inventory --pdf-title "Inventory ($LOCATION)" --valid-record "r['Location']=='$LOCATION'" --sort-field Name | tail -n1)
    CLEAN_LOCATION=$(echo "$LOCATION" | sed 's/ /_/g')
    FINAL_PDF_PATH="${DOC_DIR}/${CLEAN_LOCATION}.pdf"
    mv "$OUTPUT_PDF_PATH" "$FINAL_PDF_PATH"
    echo "  created $FINAL_PDF_PATH"
done < <(./bin/chem_db.py -f "$INVENTORY_DB" --list-locations)
